<script setup>
const props =defineProps (['url','text','linkclass']);

/*
https://developers.facebook.com/docs/plugins/share-button/     
=> SDK Facebook dans nuxt.config.ts
*/ 
</script>

<template>  
    <div :data-href="url" data-layout="" data-size="">
        <a target="_blank" :href="'https://www.facebook.com/sharer/sharer.php?u='+url+';src=sdkpreparse'" :class="linkclass">
            <img src="/images/facebook.svg" width="20px" height="20px" :class="text?'mr-1':''" alt="partager sur facebook" />
            {{ text }}
        </a>
    </div>
</template>